Draft Text: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 33: Line 33:
* {{PropertyView|Rotation}}: Specifies a rotation to be applied to the text
* {{PropertyView|Rotation}}: Specifies a rotation to be applied to the text
* {{PropertyView|Rotation Axis}}: Specifies the axis to use for the rotation
* {{PropertyView|Rotation Axis}}: Specifies the axis to use for the rotation
* {{PropertyView|Font Name}}: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif"
* {{PropertyView|Font Name}}: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.


==Scripting==
==Scripting==

Revision as of 20:07, 17 August 2012

Draft_Text

Menu location
Draft -> Text
Workbenches
Draft, Arch
Default shortcut
T E
Introduced in version
-
See also
None

Description

The Text tool inserts a piece of text at a given point in the current document. It takes the text size and color previously set on the Tasks tab.

How to use

  1. Press the Draft Text button, or press T then E keys
  2. Click a point on the 3D view, or type a coordinate
  3. Enter the desired text, pressing ENTER between each line
  4. Press ENTER twice to finish the operation.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • DataPosition: The base point of the text block
  • DataLabel Text: The contents of the text block
  • ViewDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • ViewFont Size: The size of the letters
  • ViewJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • ViewLine Spacing: Specifies the space between lines of text
  • ViewRotation: Specifies a rotation to be applied to the text
  • ViewRotation Axis: Specifies the axis to use for the rotation
  • ViewFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console the following way:

import FreeCAD,Draft
myWire = Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))
Available translations of this page: Template:Se